import request from '@/utils/request'

// 查询年度行业指标汇总-燃气企业基本情况信息列表
export function listInfor(query) {
  return request({
    url: '/system/infor/list',
    method: 'get',
    params: query
  })
}

// 查询年度行业指标汇总-燃气企业基本情况信息详细
export function getInfor(fEnterpriseId) {
  return request({
    url: '/system/infor/' + fEnterpriseId,
    method: 'get'
  })
}

// 新增年度行业指标汇总-燃气企业基本情况信息
export function addInfor(data) {
  return request({
    url: '/system/infor',
    method: 'post',
    data: data
  })
}

// 修改年度行业指标汇总-燃气企业基本情况信息
export function updateInfor(data) {
  return request({
    url: '/system/infor',
    method: 'put',
    data: data
  })
}

// 删除年度行业指标汇总-燃气企业基本情况信息
export function delInfor(fEnterpriseId) {
  return request({
    url: '/system/infor/' + fEnterpriseId,
    method: 'delete'
  })
}

// 导出年度行业指标汇总-燃气企业基本情况信息
export function exportInfor(query) {
  return request({
    url: '/system/infor/export',
    method: 'get',
    params: query
  })
}
